Failing To Install Solaris Studio 12.4 On Solaris OS 11.3 (Doc ID 2304441.1)

Last updated on SEPTEMBER 12, 2017

Applies to:

Oracle Solaris Studio - Version 12.4 to 12.4 [Release 12]
Information in this document applies to any platform.

Symptoms

On : Solaris Studio 12.4, Solaris OS 11.3 version

Failing to install Solaris Studio 12.4 on Solaris OS 11.3

When trying to install Solaris Studio 12.4 on Solaris OS 11.3 the package installation fails because of Python dependency not satisfied

ERROR
-----------------------
# pkg install -nv solarisstudio-124
Creating Plan (Running solver): /
pkg install: No matching version of developer/solarisstudio-124 can be installed:
Reject: pkg://solarisstudio/developer/solarisstudio-124@12.4-1.0.0.0
Reason: No version matching 'require' dependency developer/solarisstudio-124/performance-analyzer@12.4,5.11-1.0.0.0 can be installed
  ----------------------------------------
  Reject: pkg://solarisstudio/developer/solarisstudio-124/performance-analyzer@12.4-1.0.0.0
  Reason: No version matching 'require' dependency developer/solarisstudio-124/dbx@12.4,5.11-1.0.0.0 can be installed
  ----------------------------------------
  Reject: pkg://solarisstudio/developer/solarisstudio-124/dbx@12.4-1.0.0.0
  Reason: All acceptable versions of 'require' dependency on runtime/python-26@2.6.8,5.11-0.175.2.0.0.42.1 are obsolete
  ----------------------------------------
  ----------------------------------------

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms